Subject: Sharpening Station

From: [email-masked] (Scott216)
Date: 13 Feb 1997 14:24:23 GMT

I want to buy a grinder to sharpen tools.  I was thinking of getting a
typical bench grinder then buying a tool rest, Wolverine or something.
But, in the Garrett Wade catalog I saw a Swedish Tormek Model 2004
grinder.  This has a vertical 10"x2" grindstone that runs through a bath
of water (90 RPM).  On the other side of the grinder there is a leather
honing wheel.  There is a bar above the grindstone that accepts various
tool rests.  Is this a better way to go?  Does anyone have any experience
with this kind of setup?

Scott Goldthwaite
Portland, OR
Go for it, it's later than you think!